Download it now!
Bug 121715 - FILEOPEN XLSX First page header changes to default header
Summary: FILEOPEN XLSX First page header changes to default header
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Dániel Arató (NISZ)
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: filter:xlsx
Depends on:
Blocks: XLSX-Header-Footer
  Show dependency treegraph
 
Reported: 2018-11-26 13:25 UTC by NISZ LibreOffice Team
Modified: 2021-07-02 06:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the original document side by side in Excel and Calc. (213.36 KB, image/png)
2018-11-26 13:26 UTC, NISZ LibreOffice Team
Details
Example file from Excel (16.74 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-11-26 13:26 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2018-11-26 13:25:30 UTC
Description:
First page header in XLSX documents created with Microsoft Excel 2010 changes to default header when the document is opened in LibreOffice Calc.

Steps to Reproduce:
    1. Create a new document in Microsoft Excel.
    2. Type text to A1 and L1 cells.
    3. On the Page Layout tab, in the Page Setup group, click the Dialog Box Launcher Button next to Page Setup.
    4. Select Header/Footer tab.
    5. Select Different first page.
    6. Click on Custom Header button.
    7. Click on Header tab.
    8. Type “Header” under Center section.
    9. Click on First Page Header tab.
    10. Type “First Page Header” under Center section.
    11. Click on OK button.
    12. Click on OK button.
    13. Save the file as XLSX.
    14. Open the same file in Calc.
    15. Compare the original file opened in Excel and Calc.

Actual Results:
First page header changes to default.

Expected Results:
First page header should be the same as in the original file when the document is opened in Excel.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 NISZ LibreOffice Team 2018-11-26 13:26:07 UTC
Created attachment 147041 [details]
Screenshot of the original document side by side in Excel and Calc.
Comment 2 NISZ LibreOffice Team 2018-11-26 13:26:30 UTC
Created attachment 147042 [details]
Example file from Excel
Comment 3 Xisco Faulí 2018-11-26 17:37:57 UTC
Reproduced in

Version: 6.2.0.0.beta1+
Build ID: a63cd8bbe7cf881daa8dc7a7f32f3e5ac384e902
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 QA Administrators 2019-12-03 03:32:29 UTC Comment hidden (obsolete)
Comment 5 NISZ LibreOffice Team 2019-12-03 11:26:33 UTC
Still happens in: 
Version: 6.5.0.0.alpha0+ (x64)
Build ID: 0faf74a58847a4b87ae43092fe1ca2011bbd1f90
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: en-US (hu_HU); UI-Language: en-US
Calc: CL
Comment 6 Mike Kaganski 2021-06-09 10:37:13 UTC
FTR: the implementation must indeed include ODF support, with the existing feature of ODF 1.3 developed in https://issues.oasis-open.org/browse/OFFICE-3789.
Comment 7 Commit Notification 2021-06-29 09:21:37 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/19fa853ce12136b5c14e0c5a0aa906c296b75388

tdf#121715 XLSX: support custom first page header/footer

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2021-06-29 20:52:03 UTC
Daniel Arato (NISZ) committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/b9993369b4011cd8f367e439f5248096827f1efc

tdf#121715 XLSX: support custom first page header/footer

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 NISZ LibreOffice Team 2021-07-02 06:15:33 UTC
Verified in: 

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded